Summary:	SDL graphics drawing primitives and other support functions
Summary(pl.UTF-8):	Funkcje rysowania grafiki i inne dla SDL
Name:		SDL_gfx
Version:	2.0.22
Release:	2
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: http://www.ferzkopp.net/joomla/software-mainmenu-14/4-ferzkopps-linux-software/19-sdlgfx
Source0:	http://www.ferzkopp.net/Software/SDL_gfx-2.0/%{name}-%{version}.tar.gz
# Source0-md5:	330f291f1f09a1bdf397c9b40d92ca41
Patch0:		%{name}-local-labels.patch
URL:		http://www.ferzkopp.net/joomla/software-mainmenu-14/4-ferzkopps-linux-software/19-sdlgfx
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code.

The current components of the SDL_gfx library are:
- Graphic Primitives (SDL_gfxPrimitves.h)
- Rotozoomer (SDL_rotozoom.h)
- Framerate control (SDL_framerate.h)
- MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It's
is written in plain C and can be used in C++ code.

%description -l pl.UTF-8
Biblioteka SDL_gfx wyewoluowała z kodu SDL_gfxPrimitives.

Aktualnie SDL_gfx zawiera następujące komponenty:
- prymitywy graficzne (SDL_gfxPrimitives.h)
- Rotozoomer (SDL_rotozoom.h)
- kontrola szybkości rysowania obrazu (SDL_framerate.h)
- filtry obrazów używające MMX (SDL_imageFilter.h).

Biblioteka jest wstecznie kompatybilna z wyżej wspomnianym kodem. Jest
napisana w czystym C, może też być używana w kodzie C++.

%package devel
Summary:	Header files and more to develop SDL_gfx applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_gfx
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel

%description devel
Header files and more to develop SDL_gfx applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL_gfx.

%package static
Summary:	Static SDL_gfx libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_gfx
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_gfx libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_gfx.

%prep
%setup -q
%undos SDL_imageFilter.c
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
%ifnarch %{ix86}
	--disable-mmx
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libSDL_gfx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL_gfx.so.13

%files devel
%defattr(644,root,root,755)
%doc Docs/*
%attr(755,root,root) %{_libdir}/libSDL_gfx.so
%{_libdir}/libSDL_gfx.la
%{_includedir}/SDL/SDL_framerate.h
%{_includedir}/SDL/SDL_gfx*.h
%{_includedir}/SDL/SDL_imageFilter.h
%{_includedir}/SDL/SDL_rotozoom.h
%{_pkgconfigdir}/SDL_gfx.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_gfx.a
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL_gfx.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> a827cc1
- x32 rebuild
- release 2 (by relup.sh)

* Sun Sep 12 2010 lisu <lisu@pld-linux.org> eb5a590
- 2.0.22

* Tue Sep 07 2010 Jakub Bogusz <qboosh@pld-linux.org> a543e2c
- updated URL
- cleanup

* Wed Jun 16 2010 lisu <lisu@pld-linux.org> 4cc4140
- BRs: sed >= 4.0 and rpmbuild(macros) >= 1.566 for %%undos

* Wed Jun 16 2010 lisu <lisu@pld-linux.org> 7469750
- updated for 2.0.21

* Wed Jun 16 2010 lisu <lisu@pld-linux.org> d31a4e8
- up to 2.0.21

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> ba3d350
- rel 2

* Tue Sep 29 2009 lisu <lisu@pld-linux.org> 2a866ab
- up to 2.0.20

* Sat Jun 06 2009 Paweł Gołaszewski <blues@pld-linux.org> e23e2f4
- rel.2

* Mon Apr 27 2009 lisu <lisu@pld-linux.org> e32b241
- adjust for 2.0.19 (from DEVEL)

* Mon Apr 27 2009 lisu <lisu@pld-linux.org> d82b051
- final 2.0.19 version
- add *.pc to devel

* Thu Mar 19 2009 lisu <lisu@pld-linux.org> 9a4d9d1
- reversed, wrong branch

* Thu Mar 19 2009 lisu <lisu@pld-linux.org> fb644c6
- adjust for 2.0.19beta

* Thu Dec 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 99aead4
- verbose includes

* Thu Dec 25 2008 Jakub Bogusz <qboosh@pld-linux.org> c1d051e
- verbose lib files

* Mon Dec 22 2008 lisu <lisu@pld-linux.org> 455bcfb
- update for 2.0.18

* Mon Dec 22 2008 lisu <lisu@pld-linux.org> 9520aa6
- mention add ghost soname symlink in previous log

* Mon Dec 22 2008 lisu <lisu@pld-linux.org> c25918d
- up to 2.0.18
- ghost soname symlink

* Fri Sep 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 0623b02
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8339736
- tabs in preamble

